#  WinSat
$WinSatFolder = "$env:systemdrive\Windows\Performance\WinSat\DataStore"
#     
$filter = "formal"
    #     'formal'  
    if (Test-Path $WinSatFolder\*$filter*.xml) {
        #  ,  
        $WEIFormal = Get-ChildItem -Path $WinSatFolder | Where-Object { $_.Name -match $filter }
        #    XML      
        [xml]$WEI = Get-Content ($WEIFormal | sort LastWriteTime -desc | select -first 1).fullname
        #        
        $WEIDateLatest = "{0:yyyy-MM-dd}" -f ($WEIFormal | sort LastWriteTime -desc | select -first 1).LastWriteTime
        $WEIDateInitial = "{0:yyyy-MM-dd}" -f ($WEIFormal | sort LastWriteTime -desc | select -last 1).LastWriteTime
        $strWEITable = "  :$WEIDateInitial`r`n   $WEIDateLatest "
        #      
        $WEITable = $WEI.WinSAT.WinSPR | Format-List `
        @{Expression = {$_.SystemScore}; Label="  "},
        @{Expression = {$_.CpuScore}; Label=""},
        @{Expression = {$_.MemoryScore}; Label=" (RAM)"},
        @{Expression = {$_.GraphicsScore}; Label=""},
        @{Expression = {$_.GamingScore}; Label="  "},
        @{Expression = {$_.DiskScore}; Label=" "}
        #   
        $WEIDisk = $WEI.WinSAT.Metrics.DiskMetrics.AvgThroughput | ft -AutoSize `
        @{Expression = {$_.kind}; Label=""},
        @{Expression = {$_."#text"}; Label=" (MB/s)"},
        @{Expression = {$_.score}; Label=""}
        }
    else {
        $strWEITable="  `r`n     : winsat formal"
         }
Write-Host "  `r`n"
$strWEITable
$WEITable
$WEIDisk
pause